import type { Config, ResolvedRegister, WaitForTransactionReceiptErrorType } from '@wagmi/core';
import type { Compute } from '@wagmi/core/internal';
import { type WaitForTransactionReceiptData, type WaitForTransactionReceiptOptions, type WaitForTransactionReceiptQueryFnData, type WaitForTransactionReceiptQueryKey } from '@wagmi/core/query';
import type { ConfigParameter, QueryParameter } from '../types/properties.js';
import type { DeepMaybeRef } from '../types/ref.js';
import { type UseQueryReturnType } from '../utils/query.js';
export type UseWaitForTransactionReceiptParameters<config extends Config = Config, chainId extends config['chains'][number]['id'] = config['chains'][number]['id'], selectData = WaitForTransactionReceiptData<config, chainId>> = Compute<DeepMaybeRef<WaitForTransactionReceiptOptions<config, chainId> & ConfigParameter<config> & QueryParameter<WaitForTransactionReceiptQueryFnData<config, chainId>, WaitForTransactionReceiptErrorType, selectData, WaitForTransactionReceiptQueryKey<config, chainId>>>>;
export type UseWaitForTransactionReceiptReturnType<config extends Config = Config, chainId extends config['chains'][number]['id'] = config['chains'][number]['id'], selectData = WaitForTransactionReceiptData<config, chainId>> = UseQueryReturnType<selectData, WaitForTransactionReceiptErrorType>;
/** https://wagmi.sh/vue/api/composables/useWaitForTransactionReceipt */
export declare function useWaitForTransactionReceipt<config extends Config = ResolvedRegister['config'], chainId extends config['chains'][number]['id'] = config['chains'][number]['id'], selectData = WaitForTransactionReceiptData<config, chainId>>(parameters_?: UseWaitForTransactionReceiptParameters<config, chainId, selectData>): UseWaitForTransactionReceiptReturnType<config, chainId, selectData>;
//# sourceMappingURL=useWaitForTransactionReceipt.d.ts.map